Bug 69823 - [patch] unbreak net/licq with gcc-3.4
Summary: [patch] unbreak net/licq with gcc-3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-30 20:20 UTC by ftigeot
Modified: 2004-08-03 20:58 UTC (History)
0 users

See Also:


Attachments
licq-gcc34.patch (3.22 KB, patch)
2004-07-30 20:32 UTC, ftigeot
no flags Details | Diff
patch-licq-gcc34,2 (3.85 KB, text/plain; charset=us-ascii)
2004-08-02 15:29 UTC, ftigeot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ftigeot 2004-07-30 20:20:24 UTC
The new gcc 3.4.2 in -current is more strict than previous versions with
C++ code. Some constructions formerly considered legal now cause compilation
errors.

Fix: 

Apply the attached patch.
It was created with the help of this entry in licq's bug tracking system:

http://sourceforge.net/tracker/index.php?func=detail&aid=1000357&group_id=254&atid=100254
How-To-Repeat: 
Use a recent -current with the new gcc-3.4.2 compiler and try to build net/licq
Comment 1 ftigeot 2004-07-30 20:32:17 UTC
On Fri, Jul 30, 2004 at 07:20:25PM +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/69823'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [patch] unbreak net/licq with gcc-3.4
> >Arrival-Date:   Fri Jul 30 19:20:24 GMT 2004

Forgot to attach the patch.

-- 
Francois Tigeot
Comment 2 Sergey Matveychuk freebsd_committer 2004-07-31 10:21:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer
Comment 3 Dirk Meyer freebsd_committer 2004-08-02 14:06:41 UTC
State Changed
From-To: open->analyzed

dropping the previous patches for socket.cpp is intended?
Comment 4 ftigeot 2004-08-02 15:29:38 UTC
On Mon, Aug 02, 2004 at 03:08:06PM +0200, Dirk Meyer wrote:
> Synopsis: [patch] unbreak net/licq with gcc-3.4
> 
> State-Changed-From-To: open->analyzed
> State-Changed-By: dinoex
> State-Changed-When: Mon Aug 2 15:06:41 CEST 2004
> State-Changed-Why: 
> dropping the previous patches for socket.cpp is intended?
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=69823

It wasn't my intention.

I used the version of socket.cpp patched by the actual port as a base.
The file files/patch-socket.cpp contains two separate patches to
src/socket.cpp as you can see here :

http://www.freebsd.org/cgi/cvsweb.cgi/ports/net/licq/files/patch-socket.cpp?rev=1.4&content-type=text/x-cvsweb-markup

It seems only the last one was applied.

Please try the new attached patch instead.

-- 
Francois Tigeot
Comment 5 Dirk Meyer freebsd_committer 2004-08-03 20:58:43 UTC
State Changed
From-To: analyzed->closed

committed, thanks.